javax.visrec.regression

## Class LogisticRegression<MODEL_CLASS>

- java.lang.Object
- - javax.visrec.regression.LogisticRegression<MODEL_CLASS>

Type Parameters:
  `MODEL_CLASS` - Implementation class of underlying machine learning model

All Implemented Interfaces:
  Classifier<float[],Boolean>

    public abstract class LogisticRegression<MODEL_CLASS>
    extends Object
    implements Classifier<float[],Boolean>

This class performs basic binary classification - mapping of specified input to true/false with probability.

Author:
  Zoran Sevarac

### Constructor Summary

Constructors
Constructor and Description
`LogisticRegression()`

### Method Summary

All Methods Instance Methods Concrete Methods
`MODEL_CLASS` `getModel()`
`protected void` `setModel(MODEL_CLASS model)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface javax.visrec.ml.classification.Classifier

`classify`

### Constructor Detail

#### LogisticRegression

    public LogisticRegression()

### Method Detail

#### getModel

    public MODEL_CLASS getModel()

#### setModel

    protected void setModel(MODEL_CLASS model)